<template>
  <!-- <div>
        <self-header title="ITM Device Zone Area"></self-header>
        <main-container></main-container>
        <foot-select></foot-select>
    </div> -->
  <!-- <dv-full-screen-container>
        <self-header title="ITM Device Zone Area"></self-header>
        <main-container></main-container>
        <foot-select></foot-select>
    </dv-full-screen-container> -->
  <div>
    <div>
      <self-header title="ITM Device Monitoring System"></self-header>
      <main-container :code="code" :key="code" :query_networkPort="networkPort"></main-container>
    </div>
    <foot-select></foot-select>
  </div>
</template>
<script>
import selfHeader from "@/components/header";
import footSelect from "@/components/foot-select";

import mainContainer from "./area/main-container";
export default {
  components: { selfHeader, mainContainer, footSelect },
  mounted() {
    // console.log("init", this.$route.params);
    this.code = this.$route.query.code || '01'
    this.networkPort = this.$route.query.networkPort || ''
  },
  data() {
    return {
      code: "",
      networkPort:'',
    };
  },
  watch: {
    "$route.query": function (to, from) {
      console.log("route change", to, from);
      this.code = to.code  || ''
    },
  },
};
</script>